﻿using System;
using NetOffice;
using NetOffice.Attributes;
namespace NetOffice.MSProjectApi.Enums
{
	 /// <summary>
	 /// SupportByVersion MSProject 11, 12, 14
	 /// </summary>
	 ///<remarks> MSDN Online Documentation: http://msdn.microsoft.com/en-us/en-us/library/office/ff867718(v=office.14).aspx </remarks>
	[SupportByVersion("MSProject", 11,12,14)]
	[EntityType(EntityType.IsEnum)]
	public enum PjDateLabel
	{
		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>27</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_mm_dd = 27,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>26</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_mm_dd_yy = 26,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>115</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_m_dd = 115,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>25</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_mmm_dd = 25,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>24</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_mmm_dd_yyy = 24,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>20</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_di = 20,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>110</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_di_mm_dd = 110,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>107</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_di_dd = 107,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>114</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_di_m_dd = 114,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>121</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_didd = 121,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>119</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_ddi = 119,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>109</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_ddi_mm_dd = 109,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>106</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_ddi_dd = 106,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>113</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_ddi_m_dd = 113,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>19</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_ddd = 19,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>108</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_ddd_mm_dd = 108,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>52</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_ddd_mm_dd_yy = 52,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>105</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_ddd_dd = 105,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>112</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_ddd_m_dd = 112,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>23</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_ddd_mmm_dd = 23,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>22</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_ddd_mmm_dd_yyy = 22,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>111</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_ddd_mmmm_dd = 111,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>18</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDay_dddd = 18,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>54</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDayFromEnd_dd = 54,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>53</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDayFromEnd_Ddd = 53,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>41</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDayFromEnd_Day_dd = 41,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>56</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDayFromStart_dd = 56,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>55</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDayFromStart_Ddd = 55,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>40</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDayFromStart_Day_dd = 40,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>21</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDayOfMonth_dd = 21,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>118</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDayOfYear_dd = 118,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>117</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDayOfYear_dd_yyyy = 117,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>116</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjDayOfYear_dd_yyy = 116,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>120</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHour_mm_dd_hhAM = 120,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>32</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHour_hh = 32,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>30</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHour_hh_mmAM = 30,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>31</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHour_hhAM = 31,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>29</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHour_mmm_dd_hhAM = 29,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>28</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHour_ddd_mmm_dd_hhAM = 28,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>77</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHourFromEnd_hh = 77,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>76</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHourFromEnd_Hhh = 76,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>39</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHourFromEnd_Hour_hh = 39,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>79</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHourFromStart_hh = 79,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>78</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHourFromStart_Hhh = 78,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>38</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHourFromStart_Hour_hh = 38,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>33</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMinute_hh_mmAM = 33,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>34</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMinute_mm = 34,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>81</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMinuteFromEnd_mm = 81,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>80</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMinuteFromEnd_Mmm = 80,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>37</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMinuteFromEnd_Minute_mm = 37,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>83</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMinuteFromStart_mm = 83,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>82</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMinuteFromStart_Mmm = 82,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>36</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMinuteFromStart_Minute_mm = 36,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>57</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMonth_mm = 57,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>86</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMonth_mm_yy = 86,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>85</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMonth_mm_yyy = 85,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>11</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMonth_m = 11,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>10</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMonth_mmm = 10,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>8</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMonth_mmm_yyy = 8,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>9</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMonth_mmmm = 9,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>7</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMonth_mmmm_yyyy = 7,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>59</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMonthFromEnd_mm = 59,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>58</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMonthFromEnd_Mmm = 58,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>45</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMonthFromEnd_Month_mm = 45,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>61</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMonthFromStart_mm = 61,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>60</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMonthFromStart_Mmm = 60,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>44</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjMonthFromStart_Month_mm = 44,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>62</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjQuarter_q = 62,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>51</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjQuarter_qQyy = 51,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>2</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjQuarter_qqq_Quarter = 2,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>6</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjQuarter_Qq = 6,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>4</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjQuarter_Qq_yyy = 4,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>5</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjQuarter_Qtr_q = 5,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>3</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjQuarter_Qtr_q_yyyy = 3,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>64</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjQuarterFromEnd_q = 64,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>63</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjQuarterFromEnd_Qq = 63,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>47</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjQuarterFromEnd_Quarter_q = 47,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>66</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjQuarterFromStart_q = 66,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>65</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjQuarterFromStart_Qq = 65,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>46</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjQuarterFromStart_Quarter_q = 46,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>17</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_mm_dd = 17,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>16</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_mm_dd_yy = 16,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>89</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_m_dd = 89,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>15</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_mmm_dd = 15,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>13</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_mmm_dd_yyy = 13,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>14</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_mmmm_dd = 14,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>12</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_mmmm_dd_yyyy = 12,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>92</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_di_mm_dd = 92,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>99</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_di_m_dd = 99,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>95</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_di_mmm_dd = 95,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>91</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_ddi_mm_dd = 91,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>98</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_ddi_m_dd = 98,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>94</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_ddi_mmm_dd = 94,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>90</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_ddd_mm_dd = 90,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>100</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_ddd_mm_dd_yy = 100,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>88</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_ddd_dd = 88,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>103</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_ddd_ww = 103,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>97</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_ddd_m_dd = 97,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>93</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_ddd_mmm_dd = 93,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>101</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_ddd_mmm_dd_yyy = 101,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>96</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_ddd_mmmm_dd = 96,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>102</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeek_ddd_mmmm_dd_yyy = 102,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>87</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeekDayOfMonth_dd = 87,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>68</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeekFromEnd_ww = 68,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>67</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeekFromEnd_Www = 67,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>43</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeekFromEnd_Week_ww = 43,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>70</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeekFromStart_ww = 70,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>69</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeekFromStart_Www = 69,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>42</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeekFromStart_Week_ww = 42,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>104</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeekNumber_dd_ww = 104,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>50</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjWeekNumber_ww = 50,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>0</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjYear_yyyy = 0,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>1</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjYear_yyy = 1,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>75</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjYear_yy = 75,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>72</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjYearFromEnd_yy = 72,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>71</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjYearFromEnd_Yyy = 71,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>49</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjYearFromEnd_Year_yy = 49,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>74</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjYearFromStart_yy = 74,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>73</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjYearFromStart_Yyy = 73,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>48</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjYearFromStart_Year_yy = 48,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>123</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHalfYear_hhh_Half = 123,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>124</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHalfYear_Hlf_h_yyyy = 124,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>125</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHalfYear_Hlf_h = 125,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>126</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHalfYear_Hh_yyy = 126,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>127</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHalfYear_Hh = 127,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>128</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHalfYear_h = 128,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>129</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHalfYear_hHyy = 129,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>130</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHalfYearFromStart_Half_h = 130,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>131</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHalfYearFromStart_Hh = 131,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>132</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHalfYearFromStart_h = 132,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>133</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHalfYearFromEnd_Half_h = 133,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>134</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHalfYearFromEnd_Hh = 134,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>135</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjHalfYearFromEnd_h = 135,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>136</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjThirdsOfMonths_dd = 136,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>137</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjThirdsOfMonths_ddd = 137,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>138</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjThirdsOfMonths_dddd = 138,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>139</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjThirdsOfMonths_mm_dd = 139,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>140</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjThirdsOfMonths_mm_ddd = 140,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>141</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjThirdsOfMonths_mmmm_dddd = 141,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>142</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjThirdsOfMonths_mmm_dd = 142,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>143</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjThirdsOfMonths_mmm_ddd = 143,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>144</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjThirdsOfMonths_mmmm_dd = 144,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>145</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjThirdsOfMonths_mm_dd_yy = 145,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>146</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjThirdsOfMonths_mm_ddd_yy = 146,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>147</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjThirdsOfMonths_mmm_dd_yy = 147,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>148</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjThirdsOfMonths_mmm_ddd_yy = 148,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>149</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjThirdsOfMonths_mmmm_dd_yyyy = 149,

		 /// <summary>
		 /// SupportByVersion MSProject 11, 12, 14
		 /// </summary>
		 /// <remarks>150</remarks>
		 [SupportByVersion("MSProject", 11,12,14)]
		 pjThirdsOfMonths_mmmm_dddd_yyyy = 150
	}
}